LibreOffice: XStatisticDisplay Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XStatisticDisplay Interface Referencepublished

gives access to statistical elements for the chart. More...

`import "XStatisticDisplay.idl";`

Inheritance diagram for XStatisticDisplay:

## Public Member Functions
com::sun::star::beans::XPropertySet | getUpBar ()
com::sun::star::beans::XPropertySet | getDownBar ()
com::sun::star::beans::XPropertySet | getMinMaxLine ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to statistical elements for the chart.

Statistical elements are used by a StockDiagram.

See also
  XChartDocument
  StockDiagram

## Member Function Documentation

## ◆ getDownBar()

com::sun::star::beans::XPropertySet getDownBar | ( |  | ) |

Returns
  the properties of the down bars of a stock chart which has StockDiagram::UpDown set to TRUE.

The DownBar is the box that is drawn between the open and close value of a stock, when the closing value is below the opening value, i.e., the stock price fell.

See also
  ChartArea

## ◆ getMinMaxLine()

com::sun::star::beans::XPropertySet getMinMaxLine | ( |  | ) |

Returns
  the properties of the lines that are drawn between the lowest and highest stock value during a day.

See also
  ChartLine

## ◆ getUpBar()

com::sun::star::beans::XPropertySet getUpBar | ( |  | ) |

Returns
  the properties of the up bars of a stock chart which has StockDiagram::UpDown set to TRUE.

The UpBar is the box that is drawn between the open and close value of a stock, when the closing value is above the opening value, i.e., the stock price rose.

See also
  ChartArea

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XStatisticDisplay.idl